package game.exceptions;

/**
 * Created by IntelliJ IDEA.
 * User: Nuno Rafael
 * Date: 11/Dez/2006
 * Time: 7:50:22
 * To change this template use File | Settings | File Templates.
 */
public abstract class GameException extends DefaultException
{
	private String adversaryName;

	public GameException(String message, String adversaryName)
	{
		super("Game against " + adversaryName + ": " + message);
		this.adversaryName = adversaryName;
	}

	public String getAdversaryName()
	{
		return adversaryName;
	}
}
