package game.exceptions;

/**
 * Created by IntelliJ IDEA.
 * User: Nuno Rafael
 * Date: 10/Dez/2006
 * Time: 6:10:10
 * To change this template use File | Settings | File Templates.
 */
public abstract class LoginException extends DefaultException
{
	private String playerName;

	public LoginException(String message, String playerName)
	{
		super(message + ": " + playerName);
		this.playerName = playerName;
	}

	public String getPlayerName()
	{
		return playerName;
	}
}
