package game.objects;

import game.rmi.RmiPlayerInterface;
import game.MyElement;
import game.MyColumnType;

import java.util.Vector;

/**
 * Created by IntelliJ IDEA.
 * User: Nuno Rafael
 * Date: 8/Jan/2007
 * Time: 17:26:09
 * To change this template use File | Settings | File Templates.
 */
public class LoggedPlayer implements MyElement
{
	private String playerName;
	private String channel;
	public static Vector<game.MyColumnType> columns;
	public RmiPlayerInterface rmiPlayerInterface;

	static
	{
		columns = new Vector<MyColumnType>();
		columns.add(new MyColumnType("Player Name", String.class));
		columns.add(new MyColumnType("Channel", String.class));
	}

	public String toString()
	{
		return playerName + " " + channel;
	}

	public LoggedPlayer(String playerName, RmiPlayerInterface rmiPlayerInterface, String channel)
	{
		this.playerName = playerName;
		this.rmiPlayerInterface = rmiPlayerInterface;
		this.channel = channel;
	}

	public String getPlayerName()
	{
		return playerName;
	}

	public String getChannel()
	{
		return channel;
	}

	public Object getValueAt(int columnIndex)
	{
		switch(columnIndex)
		{
			case 0:
				return playerName;
			case 1:
				return channel;
		}
		return null;
	}

	public String getUserName()
	{
		return playerName;
	}
}
