package game.objects;

import java.io.Serializable;

/**
 * Created by IntelliJ IDEA.
 * User: Nuno Rafael
 * Date: 10/Dez/2006
 * Time: 6:21:10
 * To change this template use File | Settings | File Templates.
 */
public class Message implements Serializable
{
	private String sender;
	private String receiver;
	private String content;

	public Message()
	{
	}

	public Message(String sender, String content)
	{
		this.sender = sender;
		this.content = content;
	}

	public String getSender()
	{
		return sender;
	}

	public String getContent()
	{
		return content;
	}

	public void setSender(String sender)
	{
		this.sender = sender;
	}

	public void setContent(String content)
	{
		this.content = content;
	}

	public String getReceiver()
	{
		return receiver;
	}

	public String toString()
	{
		return sender + " " + receiver + " " + content;
	}

	public void setReceiver(String receiver)
	{
		this.receiver = receiver;
	}
}
