<%@ page import="game.objects.AdversaryInfo" %>
<%@ page import="game.objects.Rank" %>
<%@ page import="game.objects.AdversaryStatus" %>
<%@ page import="game.exceptions.AdversaryLoggedOffException" %>
<%@ page pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<jsp:useBean id="player" class="game.JspPlayer" scope="session"/>

<html>
<head>
	<META HTTP-EQUIV=Refresh CONTENT="5">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<title></title>
	<style type="text/css" src="styles.css"/>
	<script language="javascript" type="text/javascript">
		function acknowledge()
		{
			window.alert(document.formPlayersLogged.playerName.value + " did refuse your invitation to play.\n\nI think it's because of your aroma...")
			document.formPlayersLogged.submit()
		}

		function startGame()
		{
			var adversaryName

			window.alert("New game with " + (adversaryName = document.formPlayersLogged.playerName.value) + "\n\nMake him(er) eat your dust!")
			popup(adversaryName)
			document.formPlayersLogged.submit()
		}

		function answerInvitation()
		{
			var accept
			var adversaryName

			document.formPlayersLogged.answer.value = accept = window.confirm((adversaryName = document.formPlayersLogged.playerName.value) + " did invited you.\nDo you accept?")
			popup(adversaryName)
			document.formPlayersLogged.submit()
		}

		function confirmStartingInvitation()
		{
			if (window.confirm("You are about to invite " + document.formPlayersLogged.playerName.value + ".\nConfirm?"))
				document.formPlayersLogged.submit()
		}

		function popup(adversaryName)
		{
			window.open('/game/index.jsp?adversaryName=' + adversaryName, "Novo Jogo", 'height=430,width=650,scrollbars=no,resizable=no')
		}
	</script>
</head>
<body bgcolor="#EAEAEA">
<%
	String playerName = request.getParameter("playerName");

	try
	{
		if (playerName != null && playerName.length() > 0)
			switch (player.getAdversaryInfo(playerName).status)
			{
				case PLAYING_WITH_ME:
					break;
				case INVITING_ME:
					boolean accept;
					player.answerInvitation(playerName, accept = request.getParameter("answer").equalsIgnoreCase("true"));
					player.getAdversaryInfo(playerName).status = accept ? AdversaryStatus.PLAYING_WITH_ME : AdversaryStatus.NOT_PLAYING_WITH_ME;
					break;
				case ACCEPTED_ME:
					player.getAdversaryInfo(playerName).status = AdversaryStatus.PLAYING_WITH_ME;
					break;
				case REFUSED_ME:
					player.getAdversaryInfo(playerName).status = AdversaryStatus.NOT_PLAYING_WITH_ME;
					break;
				default:
					player.invite(playerName);
			}
	}
	catch (AdversaryLoggedOffException e)
	{%>
		<script type="text/javascript>">
			window.alert("<%=e.getAdversaryName()%> left building\n");
		</script>
<%	}
%>

<table>
	<tr>
		<th>Ranking</th>
	</tr>
	<% for (Rank rank : player.getRanking().values())
	{%>
	<tr>
		<td><%= rank.getPlayerName()%></td>
		<td><%= rank.getPoints()%></td>
	</tr>
	<% }%>
	<tr>
		<th>Players Logged</th>
	</tr>
	<tr>
		<td>
			<form name="formPlayersLogged" id="formPlayersLogged" method="post" action="right.jsp">
				<input type="hidden" name="answer" id="answer">
				<select name="playerName" id="playerName" size=10 class="widthed">
					<%for (AdversaryInfo adversaryInfo : player.getAdversariesInfo().values())
						{
							switch (adversaryInfo.status)
							{
								case INVITING_ME:%>
									<option value="<%=adversaryInfo.getName()%>" onDblClick="answerInvitation()">
									<% break;
										case ACCEPTED_ME:%>
									<option value="<%=adversaryInfo.getName()%>" onDblClick="startGame()">
									<% break;
										case REFUSED_ME:%>
									<option value="<%=adversaryInfo.getName()%>" onDblClick="acknowledge()">
									<% break;
										case INVITED_BY_ME:%>
									<option value="<%=adversaryInfo.getName()%>">
									<%break;
										case PLAYING_WITH_ME:%>
									<option value="<%=adversaryInfo.getName()%>">
									<%break;
								default:%>
									<option value="<%=adversaryInfo.getName()%>" onDblClick="confirmStartingInvitation()">
					<%		}%><%=adversaryInfo.getTitle()%></option>
						<%}%>
				</select>
			</form>
		</td>
	</tr>
</table>
</body>
</html>