<%@ page import="game.objects.AdversaryInfo" %>
<%@ page import="game.objects.GameBoard" %>
<%@ page import="game.exceptions.AdversaryLoggedOffException" %>
<%@ page import="game.objects.AdversaryStatus" %>
<%@page pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<jsp:useBean id="player" class="game.JspPlayer" scope="session"/>
<%
	String parameter;
	AdversaryInfo adversaryInfo = player.getAdversaryInfo(request.getParameter("adversaryName"));
	if ((parameter = request.getParameter("columnIndex")) != null)
		try
		{
			player.drop(adversaryInfo.getName(), Integer.parseInt(parameter));
		}
		catch (AdversaryLoggedOffException e)
		{
			e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
		}

%>
<html>
<head>
	<META HTTP-EQUIV=Refresh CONTENT="5; URL=game.jsp?adversaryName=<%=adversaryInfo.getName()%>">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<title></title>
	<style type="text/css" src="styles.css"/>
</head>
<body bgcolor="#EAEAEA">
<br>
	<h1 align="center" class="texto_bold" ><%= player.getName()%> vs <%=adversaryInfo.getName()%></h1>
<table border=1 align="center">
	<tr>
		<form name ="f1" id="f1" action="?adversaryName=<%=adversaryInfo.getName()%>" method="post">
			<td><input type="radio" name="columnIndex" id="column0" value="0" onClick ="f1.submit()" <%= adversaryInfo.isMyTurn() && !adversaryInfo.isFull(0) ? "" : "disabled"%>></td>
			<td><input type="radio" name="columnIndex" id="column1" value="1" onClick ="f1.submit()" <%= adversaryInfo.isMyTurn() && !adversaryInfo.isFull(1) ? "" : "disabled"%>></td>
			<td><input type="radio" name="columnIndex" id="column2" value="2" onClick ="f1.submit()" <%= adversaryInfo.isMyTurn() && !adversaryInfo.isFull(2) ? "" : "disabled"%>></td>
			<td><input type="radio" name="columnIndex" id="column3" value="3" onClick ="f1.submit()" <%= adversaryInfo.isMyTurn() && !adversaryInfo.isFull(3) ? "" : "disabled"%>></td>
			<td><input type="radio" name="columnIndex" id="column4" value="4" onClick ="f1.submit()" <%= adversaryInfo.isMyTurn() && !adversaryInfo.isFull(4) ? "" : "disabled"%>></td>
			<td><input type="radio" name="columnIndex" id="column5" value="5" onClick ="f1.submit()" <%= adversaryInfo.isMyTurn() && !adversaryInfo.isFull(5) ? "" : "disabled"%>></td>
			<td><input type="radio" name="columnIndex" id="column6" value="6" onClick ="f1.submit()" <%= adversaryInfo.isMyTurn() && !adversaryInfo.isFull(6) ? "" : "disabled"%>></td>
		</form>
	</tr>
<%
	int rowIndex;
	int columnIndex;
	GameBoard cell;
	for (rowIndex = 5; rowIndex >= 0; rowIndex--)
	{%>
		<tr>
<% 			for (columnIndex = 0; columnIndex < 7; columnIndex++)
			{%>
				<td bgcolor="black" >
					<img src="<%= (cell = adversaryInfo.getGameBoard()).isEmpty(rowIndex, columnIndex) ? "../img/clear.gif" : cell.getDisk(rowIndex, columnIndex) ? "../img/player.gif" : "../img/adversary.gif"%>">
				</td>
<%			}%>
		</tr>
<%	}
%>
</table>
<br>
<form name ="f2" id="f2" action="?adversaryName=<%=adversaryInfo.getName()%>" method="post">
<table align="center">
<td align="center">
<input type="submit" name="desistir" id="desistir" value="Desistir" <%= adversaryInfo.status == AdversaryStatus.PLAYING_WITH_ME %>>
<input type="submit" name="novo_jogo" id="novo_jogo" value="Novo Jogo" <%= adversaryInfo.status != AdversaryStatus.PLAYING_WITH_ME %>>
</td>
</table>
</form>
<form action="=adversaryName=<%=adversaryInfo.getName()%>"></form>
</body>
</html>

<%
	game.exceptions.GameResult gameResult;
	if (adversaryInfo.status != AdversaryStatus.PLAYING_WITH_ME && (gameResult = adversaryInfo.getGameResult()) != null)
	{%>
		<script type="text/javascript">
			window.alert("<%=gameResult.getResultType()%> with <%=adversaryInfo.getName()%>")
		</script>
<%		adversaryInfo.setGameResult(null);
	}
%>
