package gui;

import java.io.IOException;

/**
 * @author Jorge Farinha
 * @author Tiago Santos
 * @version 1.0
 * @date 28-09-2006
 */
public interface LoginInterface
{
	/**
	 * instrues a executar quando se carrega no boto ligar
	 *
	 * @param nome	 nome
	 * @param password password
	 * @throws java.io.IOException no comunica com o servidor
	 */
	public void loginWindowBotaoLigar(String nome, String password) throws IOException;

	/**
	 * instrues a executar quando se carrega no boto registar
	 *
	 * @param nome	 nome
	 * @param password password
	 * @throws java.io.IOException no comunica com o servidor
	 */
	public void loginWindowBotaoRegistar(String nome, String password) throws IOException;

	/**
	 * instrues a executar quando se fecha a janela
	 */
	public void loginWindowSair();
}
